"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const EPOCH = 1531013167727;
let incremented = 0;
class IdFactory {
    static generate() {
        const date = Date.now();
        const res = date - EPOCH;
        let binary;
        binary = res.toString(2);
        binary += IdFactory.zeroFill(incremented, 12);
        return parseInt(binary, 2).toString();
    }
    // TODO: Should not mutate paramters
    static zeroFill(number, width) {
        width -= number.toString().length;
        if (width > 0) {
            return new Array(width + (/\./.test(number.toString()) ? 2 : 1)).join("0") + number;
        }
        return number.toString();
    }
}
exports.default = IdFactory;
