import { $GetTokenResponse, GetTokenResponseState, $GetMeResponse, $GetGuildsResponse, $Message, $GetMembersResponse, $UseInviteResponse } from "../network/network-actions";
import { Client, Collection, Message } from "..";
import { User } from "../models/user";
import Guild from "../models/guild";
export default abstract class Master {
    static getTokenResponse(response: $GetTokenResponse, client: Client): GetTokenResponseState;
    static getMeResponse(response: $GetMeResponse, client: Client): User;
    static getGuildsResponse(response: $GetGuildsResponse, client: Client): Collection<Guild>;
    static message(message: $Message, client: Client): Message;
    static getMembersResponse(response: $GetMembersResponse, client: Client): boolean;
    static useInviteResponse(response: $UseInviteResponse, client: Client): Guild | null;
}
