import User from "./user";
import MessageEmbed from "../message-embed";
import Channel from "./channels/channel";
export interface MessageOptions {
    readonly id: string;
    readonly time: number;
    readonly text: string;
    readonly author: User;
    readonly embeds?: Array<MessageEmbed>;
    readonly channel: Channel;
}
export default class Message {
    readonly id: string;
    readonly time: number;
    readonly author: User;
    readonly text: string;
    readonly embeds?: Array<MessageEmbed>;
    readonly channel: Channel;
    constructor(options: MessageOptions);
}
