"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UserState;
(function (UserState) {
    UserState[UserState["Online"] = 0] = "Online";
    UserState[UserState["Offline"] = 1] = "Offline";
    UserState[UserState["Idle"] = 2] = "Idle";
    UserState[UserState["DoNotDisturb"] = 3] = "DoNotDisturb";
})(UserState = exports.UserState || (exports.UserState = {}));
var UserType;
(function (UserType) {
    UserType[UserType["User"] = 0] = "User";
    UserType[UserType["Bot"] = 1] = "Bot";
    UserType[UserType["Admin"] = 2] = "Admin";
})(UserType = exports.UserType || (exports.UserType = {}));
class User {
    constructor(options) {
        this.id = options.id;
        this.username = options.username;
        this.discriminator = options.discriminator;
        this.type = options.type;
        this.avatar = options.avatar;
        this.presence = options.presence;
    }
}
exports.User = User;
exports.default = User;
