"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const interceptor_manager_1 = __importDefault(require("./interceptor-manager"));
const network_actions_1 = require("./network/network-actions");
function Interceptor(type) {
    return function (target, propertyKey, descriptor) {
        if (!interceptor_manager_1.default.setInterceptor(type, target[propertyKey])) {
            console.error(`[@Controller] Failed to bind controller because it already exists: ${network_actions_1.getPacketEventName(type)}`);
        }
    };
}
exports.default = Interceptor;
