import { Id } from "../../client";
import Guild from "../guild";
export declare enum ChannelType {
    Text = 0,
    DM = 1,
    Voice = 2
}
export interface ChannelOptions {
    readonly id: Id;
    readonly name: string;
    readonly topic?: string;
    readonly type: ChannelType;
    readonly guild: Guild;
}
export default class Channel {
    readonly id: Id;
    readonly name: string;
    readonly topic?: string;
    readonly type: ChannelType;
    readonly guild: Guild;
    constructor(options: ChannelOptions);
}
